AuthInfoProviderFactory (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.AuthInfoProviderFactory,AuthInfoProviderFactory class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class AuthInfoProviderFactory

    java.lang.Object
      |
      +--gnu.crypto.sasl.AuthInfoProviderFactory

All Implemented Interfaces:
  IAuthInfoProviderFactory

public class AuthInfoProviderFactory
extends java.lang.Object
implements IAuthInfoProviderFactory

The concrete SASL authentication information provider factory.

Constructor Summary
`AuthInfoProviderFactory()`

Method Summary
`IAuthInfoProvider` | `getInstance(java.lang.String mechanism)` Returns an implementation of a provider for a designated mechanism capable of honouring `IAuthInfoProvider` requests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthInfoProviderFactory

    public AuthInfoProviderFactory()

Method Detail

### getInstance

    public IAuthInfoProvider getInstance(java.lang.String mechanism)

  Description copied from interface: `IAuthInfoProviderFactory`
  Returns an implementation of a provider for a designated mechanism capable of honouring `IAuthInfoProvider` requests.

  Specified by:
    `getInstance` in interface `IAuthInfoProviderFactory`
  Parameters:
    `mechanism` - the unique name of a mechanism.
  Returns:
    an implementation of `IAuthInfoProvider` for that mechanism or `null` if none found.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.